## PDS Get Default Tracking Session PDS Get Default Tracking Session |

## Functions

QmiMessagePdsGetDefaultTrackingSessionOutput * | qmi_message_pds_get_default_tracking_session_output_ref ()
void | qmi_message_pds_get_default_tracking_session_output_unref ()
gboolean | qmi_message_pds_get_default_tracking_session_output_get_result ()
gboolean | qmi_message_pds_get_default_tracking_session_output_get_info ()
void | qmi_client_pds_get_default_tracking_session ()
QmiMessagePdsGetDefaultTrackingSessionOutput * | qmi_client_pds_get_default_tracking_session_finish ()

## Types and Values

| QmiMessagePdsGetDefaultTrackingSessionOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessagePdsGetDefaultTrackingSessionOutput

## Description

## Functions

### qmi_message_pds_get_default_tracking_session_output_ref ()

    QmiMessagePdsGetDefaultTrackingSessionOutput *
    qmi_message_pds_get_default_tracking_session_output_ref
                                   (QmiMessagePdsGetDefaultTrackingSessionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsGetDefaultTrackingSessionOutput. |

#### Returns

the new reference to `self` .

### qmi_message_pds_get_default_tracking_session_output_unref ()

    void
    qmi_message_pds_get_default_tracking_session_output_unref
                                   (QmiMessagePdsGetDefaultTrackingSessionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsGetDefaultTrackingSessionOutput. |

### qmi_message_pds_get_default_tracking_session_output_get_result ()

    gboolean
    qmi_message_pds_get_default_tracking_session_output_get_result
                                   (QmiMessagePdsGetDefaultTrackingSessionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdsGetDefaultTrackingSessionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_pds_get_default_tracking_session_output_get_info ()

    gboolean
    qmi_message_pds_get_default_tracking_session_output_get_info
                                   (QmiMessagePdsGetDefaultTrackingSessionOutput *self,
                                    QmiPdsOperatingMode *value_info_session_operation,
                                    guint8 *value_info_position_data_timeout,
                                    guint32 *value_info_interval,
                                    guint32 *value_info_accuracy_threshold,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessagePdsGetDefaultTrackingSessionOutput. |
value_info_session_operation | a placeholder for the output QmiPdsOperatingMode, or `NULL` if not required. |
value_info_position_data_timeout | a placeholder for the output guint8, or `NULL` if not required. |
value_info_interval | a placeholder for the output guint32, or `NULL` if not required. |
value_info_accuracy_threshold | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_pds_get_default_tracking_session ()

    void
    qmi_client_pds_get_default_tracking_session
                                   (QmiClientPds *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Default Tracking Session request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pds_get_default_tracking_session_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPds. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_pds_get_default_tracking_session_finish ()

    QmiMessagePdsGetDefaultTrackingSessionOutput *
    qmi_client_pds_get_default_tracking_session_finish
                                   (QmiClientPds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pds_get_default_tracking_session()`.

#### Parameters

self | a QmiClientPds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pds_get_default_tracking_session()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdsGetDefaultTrackingSessionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pds_get_default_tracking_session_output_unref()`.

## Types and Values

### QmiMessagePdsGetDefaultTrackingSessionOutput

    typedef struct _QmiMessagePdsGetDefaultTrackingSessionOutput QmiMessagePdsGetDefaultTrackingSessionOutput;

The QmiMessagePdsGetDefaultTrackingSessionOutput structure contains private data and should only be accessed using the provided API.